<?php
/* These are helper functions, not directly involved with the editors, but with ancilliary functions
of EditorMoneky, such as the configuration interface. */


function scan_plugins( ) {
	$plugins = array();
	$pluginsdir = dirname(__FILE__) .
		DIRECTORY_SEPARATOR . 'tinymce'  .
		DIRECTORY_SEPARATOR . 'plugins' . DIRECTORY_SEPARATOR; 
	$d = dir($pluginsdir);
	while (false !== ($entry = $d->read())) {
		if (is_dir($pluginsdir.$entry) && ($entry != '.') && ($entry != '..')) {
			$plugins[] = $entry;
		}
	}
	$d->close();
	$plugins[] = 'spellcheck';
	sort($plugins);
	return $plugins;
}


function language_selection ( $sel_lang ) {
	?>
		<select name="em_lang" id="em_lang">
		<optgroup label="FCKeditor and TinyMCE">
		  <option value="ar" <?php if($sel_lang=='ar') echo 'selected="selected"'; ?>>Arabic</option>
		  <option value="ca" <?php if($sel_lang=='ca') echo 'selected="selected"'; ?>>Catalan</option>
		  <option value="zh-cn" <?php if($sel_lang=='zh-cn') echo 'selected="selected"'; ?>>Chinese (Simplified)</option>
		  <option value="cs" <?php if($sel_lang=='cs') echo 'selected="selected"'; ?>>Czech</option>
		  <option value="da" <?php if($sel_lang=='da') echo 'selected="selected"'; ?>>Danish</option>
		  <option value="nl" <?php if($sel_lang=='nl') echo 'selected="selected"'; ?>>Dutch</option>
		  <option value="en" <?php if($sel_lang=='en') echo 'selected="selected"'; ?>>English</option>
		  <option value="fa" <?php if($sel_lang=='fa') echo 'selected="selected"'; ?>>Farsi/Persian</option>
		  <option value="fi" <?php if($sel_lang=='fi') echo 'selected="selected"'; ?>>Finnish</option>
		  <option value="fr" <?php if($sel_lang=='fr') echo 'selected="selected"'; ?>>French</option>
		  <option value="de" <?php if($sel_lang=='de') echo 'selected="selected"'; ?>>German</option>
		  <option value="el" <?php if($sel_lang=='el') echo 'selected="selected"'; ?>>Greek</option>
		  <option value="he" <?php if($sel_lang=='he') echo 'selected="selected"'; ?>>Hebrew</option>
		  <option value="hu" <?php if($sel_lang=='hu') echo 'selected="selected"'; ?>>Hungarian</option>
		  <option value="it" <?php if($sel_lang=='it') echo 'selected="selected"'; ?>>Italian</option>
		  <option value="ja" <?php if($sel_lang=='ja') echo 'selected="selected"'; ?>>Japanese</option>
		  <option value="ko" <?php if($sel_lang=='ko') echo 'selected="selected"'; ?>>Korean</option>
		  <option value="pl" <?php if($sel_lang=='pl') echo 'selected="selected"'; ?>>Polish</option>
		  <option value="pt" <?php if($sel_lang=='pt') echo 'selected="selected"'; ?>>Portugese</option>
		  <option value="pt-br" <?php if($sel_lang=='pt-br') echo 'selected="selected"'; ?>>Portugese (Brazilian)</option>
		  <option value="es" <?php if($sel_lang=='es') echo 'selected="selected"'; ?>>Spanish</option>
		  <option value="sv" <?php if($sel_lang=='sv') echo 'selected="selected"'; ?>>Swedish</option>
		  <option value="th" <?php if($sel_lang=='th') echo 'selected="selected"'; ?>>Thai</option>
		</optgroup>
		<optgroup label="FCKeditor Only">
		  <option value="eu" <?php if($sel_lang=='eu') echo 'selected="selected"'; ?>>Basque</option>
		  <option value="bs" <?php if($sel_lang=='bs') echo 'selected="selected"'; ?>>Bosnian</option>
		  <option value="bg" <?php if($sel_lang=='bg') echo 'selected="selected"'; ?>>Bulgarian</option>
		  <option value="zh" <?php if($sel_lang=='zh') echo 'selected="selected"'; ?>>Chinese (Traditional)</option>
		  <option value="hr" <?php if($sel_lang=='hr') echo 'selected="selected"'; ?>>Croatian</option>
		  <option value="en-au" <?php if($sel_lang=='en-au') echo 'selected="selected"'; ?>>English (Australian)</option>
		  <option value="en-uk" <?php if($sel_lang=='en-uk') echo 'selected="selected"'; ?>>English (United Kingdom)</option>
		  <option value="eo" <?php if($sel_lang=='eo') echo 'selected="selected"'; ?>>Esperanto</option>
		  <option value="et" <?php if($sel_lang=='et') echo 'selected="selected"'; ?>>Estonian</option>
		  <option value="fo" <?php if($sel_lang=='fo') echo 'selected="selected"'; ?>>Faroese</option>
		  <option value="gl" <?php if($sel_lang=='gl') echo 'selected="selected"'; ?>>Galician</option>
		  <option value="hi" <?php if($sel_lang=='hi') echo 'selected="selected"'; ?>>Hindi</option>
		  <option value="lv" <?php if($sel_lang=='lv') echo 'selected="selected"'; ?>>Latvian</option>
		  <option value="lt" <?php if($sel_lang=='lt') echo 'selected="selected"'; ?>>Lithuanian</option>
		  <option value="ms" <?php if($sel_lang=='ms') echo 'selected="selected"'; ?>>Malay</option>
		  <option value="mn" <?php if($sel_lang=='mn') echo 'selected="selected"'; ?>>Mongolian</option>
		  <option value="no" <?php if($sel_lang=='no') echo 'selected="selected"'; ?>>Norwegian</option>
		  <option value="ro" <?php if($sel_lang=='ro') echo 'selected="selected"'; ?>>Romanian</option>
		  <option value="ru" <?php if($sel_lang=='ru') echo 'selected="selected"'; ?>>Russian</option>
		  <option value="sk" <?php if($sel_lang=='sk') echo 'selected="selected"'; ?>>Slovak</option>
		  <option value="sl" <?php if($sel_lang=='sl') echo 'selected="selected"'; ?>>Slovenian</option>
		  <option value="sr" <?php if($sel_lang=='sr') echo 'selected="selected"'; ?>>Serbian (Cyrillic)</option>
		  <option value="sr-latn" <?php if($sel_lang=='sr-latn') echo 'selected="selected"'; ?>>Serbian (Latin)</option>
		  <option value="tr" <?php if($sel_lang=='tr') echo 'selected="selected"'; ?>>Turkish</option>
		  <option value="uk" <?php if($sel_lang=='uk') echo 'selected="selected"'; ?>>Ukrainian</option>
		  <option value="vi" <?php if($sel_lang=='vi') echo 'selected="selected"'; ?>>Vietnamese</option>
		</optgroup>
		<optgroup label="TinyMCE Only">
		  <option value="zh_tw_utf8" <?php if($sel_lang=='zh_tw_utf8') echo 'selected="selected"'; ?>>Chinese (Traditional)</option>
		  <option value="fr_ca" <?php if($sel_lang=='fr_ca') echo 'selected="selected"'; ?>>French (Canadian)</option>
		  <option value="is" <?php if($sel_lang=='is') echo 'selected="selected"'; ?>>Icelandic</option>
		  <option value="nb" <?php if($sel_lang=='nb') echo 'selected="selected"'; ?>>Norwegian (Bokmal)</option>
		  <option value="nn" <?php if($sel_lang=='nn') echo 'selected="selected"'; ?>>Norwegian (Nynorsk)</option>
		  <option value="cy" <?php if($sel_lang=='cy') echo 'selected="selected"'; ?>>Welsh</option>
		</optgroup>
		</select>
	<?php
	}
?>