/* Import plugin specific language pack */
tinyMCE.importPluginLanguagePack('spellerpages', 'en'); // <- Add a comma separated list of all supported languages

////////////////////////////////////////////////////
// spellChecker object
//
// It includes the implementation for the spellCheckObject.
// It has been moved to this file b/c compress TinyMCE can't seem to find it.
//
////////////////////////////////////////////////////

tinyMCE.loadScript(tinyMCE.baseURL + '/plugins/spellerpages/jscripts/spellChecker.js'); 

var TinyMCE_SpellerPagesPlugin = {
	getInfo : function() {
		return {
			longname : 'SpellerPages Spell Checker',
			author : 'SpellerPages, Raj Prasad',
			authorurl : 'http://www.rajprasad.net/',
			infourl : 'http://www.sourceforge.com/',
			version : tinyMCE.majorVersion + "." + tinyMCE.minorVersion
		};
	},
	
	
	getControlHTML : function(cn) {
		switch (cn) {
			case "spellerpages":
				return tinyMCE.getButtonHTML(cn, 'lang_spellerpages', '{$pluginurl}/images/spellerpages.gif', 'mceSpellerPages', true);
		}

		return "";
	},
	
	
	execCommand : function(editor_id, element, command, user_interface, value) {
		var instance = tinyMCE.getInstanceById(editor_id);
		var focusElm = instance.getFocusElement();
		var doc = instance.getDoc();
		var flag = "";
		
		switch (command) {
			case "mceSpellerPages":
				instance.formElement.value ='WORK';
				tinyMCE.triggerSave(false,false);
				
				var speller = new spellChecker( instance.formElement );
				speller.popUpUrl = tinyMCE.baseURL+'/plugins/spellerpages/files/spellchecker.html';
				speller.tinymce_editor_id = editor_id; //Saved to use with TinyMCE_spellerpages_reloadit
				speller.tinymce_content_css = tinyMCE.getParam("content_css");  //So your styles show in the editor (Misspelled words will not show the style correctly because they get highlighted)
			
				speller.openChecker();
				return true;
		}

		// Pass to next handler in chain
		return false;
	}
	
};


function TinyMCE_spellerpages_reloadit(editor_id)
{
  tinyMCE.updateContent(tinyMCE.getInstanceById(editor_id).formElement.id);
  tinyMCE.execCommand('mceCleanup', false, 'insert_to_editor');
}


// Register plugin
tinyMCE.addPlugin('spellerpages', TinyMCE_SpellerPagesPlugin );